<script src="https://unpkg.com/magic-snowflakes/dist/snowflakes.min.js"></script>
<script>
    var snowflakes = new Snowflakes({
        color: '#D2D9DB', // Default: "#5ECDEF"
        container: document.querySelector('#snowflake-container'), // Default: document.body
        //count: 100, // 100 snowflakes. Default: 50
        // minOpacity: 0.4, // From 0 to 1. Default: 0.6
        // maxOpacity: 0.95, // From 0 to 1. Default: 1
        minSize: 5, // Default: 10
        maxSize: 50, // Default: 25
        rotation: true, // Default: true
        speed: 1, // The property affects the speed of falling. Default: 1
        wind: true, // Without wind. Default: true
        //width: 500, // Default: width of container
        //height: 250, // Default: height of container        
    });
    $("#txtExamPassword").keyup(function(){
        let txt = $(this);
        if (["christmas", "xmas", "božić", "bozic", "božic", "bozić"].includes(txt.val().toLowerCase().trim())) {
            
            Swal.fire({
                title: 'Jingle, jingle...',
                text: 'Enjoy the Xmas playlist!',
                imageUrl:
                'https://img.freepik.com/free-vector/christmas-vector-icons-new-year-decoration-illustration-xmas-christians_1150-28630.jpg?w=400',
                imageWidth: 400,
                imageHeight: 200,
                showCloseButton: false,
                showCancelButton: true,
                focusConfirm: true,
                confirmButtonText: '<i class="fa fa-thumbs-up"></i> I will!',                
            }).then((result) => {
                console.log("here", result)
                if (result.value) {
                    window.open("https://youtube.com/playlist?list=PLnQioykfC4b1dqzRnrn2Ja8tNlhGI2EH-");
                }
            })
        }
        
    })
</script>

<script>
    // $("table").css("background-color", "snow");

    // (function () {
    //     var requestAnimationFrame = window.requestAnimationFrame || window.mozRequestAnimationFrame || window.webkitRequestAnimationFrame || window.msRequestAnimationFrame ||
    //         function (callback) {
    //             window.setTimeout(callback, 1000 / 60);
    //         };
    //     window.requestAnimationFrame = requestAnimationFrame;
    // })();


    // var flakes = [],
    //     canvas = document.getElementById("canvas"),
    //     ctx = canvas.getContext("2d"),
    //     flakeCount = 500,
    //     mX = -400,
    //     mY = -400

    // canvas.width = window.innerWidth;
    // canvas.height = window.innerHeight;

    // function snow() {
    //     ctx.clearRect(0, 0, canvas.width, canvas.height);

    //     for (var i = 0; i < flakeCount; i++) {
    //         var flake = flakes[i],
    //             x = mX,
    //             y = mY,
    //             minDist = 150,
    //             x2 = flake.x,
    //             y2 = flake.y;

    //         var dist = Math.sqrt((x2 - x) * (x2 - x) + (y2 - y) * (y2 - y)),
    //             dx = x2 - x,
    //             dy = y2 - y;

    //         if (dist < minDist) {
    //             var force = minDist / (dist * dist),
    //                 xcomp = (x - x2) / dist,
    //                 ycomp = (y - y2) / dist,
    //                 deltaV = force / 2;

    //             flake.velX -= deltaV * xcomp;
    //             flake.velY -= deltaV * ycomp;

    //         } else {
    //             flake.velX *= .98;
    //             if (flake.velY <= flake.speed) {
    //                 flake.velY = flake.speed
    //             }
    //             flake.velX += Math.cos(flake.step += .05) * flake.stepSize;
    //         }

    //         ctx.fillStyle = "rgba(255,255,255," + flake.opacity + ")";
    //         flake.y += flake.velY;
    //         flake.x += flake.velX;

    //         if (flake.y >= canvas.height || flake.y <= 0) {
    //             reset(flake);
    //         }


    //         if (flake.x >= canvas.width || flake.x <= 0) {
    //             reset(flake);
    //         }

    //         ctx.beginPath();
    //         ctx.arc(flake.x, flake.y, flake.size, 0, Math.PI * 2);
    //         ctx.fill();
    //     }
    //     requestAnimationFrame(snow);
    // };

    // function reset(flake) {
    //     flake.x = Math.floor(Math.random() * canvas.width);
    //     flake.y = 0;
    //     flake.size = (Math.random() * 3) + 2;
    //     flake.speed = (Math.random() * 1) + 0.5;
    //     flake.velY = flake.speed;
    //     flake.velX = 0;
    //     flake.opacity = (Math.random() * 0.5) + 0.3;
    // }

    // function init() {
    //     for (var i = 0; i < flakeCount; i++) {
    //         var x = Math.floor(Math.random() * canvas.width),
    //             y = Math.floor(Math.random() * canvas.height),
    //             size = (Math.random() * 3) + 2,
    //             speed = (Math.random() * 1) + 0.5,
    //             opacity = (Math.random() * 0.5) + 0.3;

    //         flakes.push({
    //             speed: speed,
    //             velY: speed,
    //             velX: 0,
    //             x: x,
    //             y: y,
    //             size: size,
    //             stepSize: (Math.random()) / 30,
    //             step: 0,
    //             opacity: opacity
    //         });
    //     }

    //     snow();
    // };

    // canvas.addEventListener("mousemove", function (e) {
    //     mX = e.clientX,
    //         mY = e.clientY
    // });

    // window.addEventListener("resize", function () {
    //     canvas.width = window.innerWidth;
    //     canvas.height = window.innerHeight;
    // })

    // init();
</script>